CourseBox = Ext.extend(Ext.darkness.DynamicCombox,{
                        fieldLabel: '课程',
                        name: 'courseId',
                        constructor: function(config) {
                            CourseBox.superclass.constructor.call(this,config);
                        },
                        baseUrl: 'Data/Core/PaperInfo.aspx?cmd=GetCourse'
                    });
                    
TestTypeBox = Ext.extend(Ext.darkness.DynamicCombox,{
                        fieldLabel: '考试类型',
                        name: 'testType',
                        mode: 'local',
                        emptyText:'闭卷',
                        constructor: function(config) {
                            TestTypeBox.superclass.constructor.call(this,config);
                        },
                        store: new Ext.data.SimpleStore({
                            fields: ['value', 'text'],
                            data: [
                                ['开卷', '开卷'],
                                ['闭卷', '闭卷']
                            ]
                        })
                    });

SuitSpecialtyBox =  Ext.extend(Ext.darkness.DynamicCombox,{
                fieldLabel: '适考专业',
                name: 'suitSpecialty',
                baseUrl: 'Data/Core/PaperInfo.aspx?cmd=GetSpecialty'
            });
/** 不知道这样直接 new 为什么不行，估计这样是将参数对象传递到父类的构造器中的
    而上面那样是将属性附加到父类的属性之上的。？？？？？                             
new Ext.darkness.DynamicCombox({
                fieldLabel: '适考专业',
                name: 'suitSpecialty',
                id: 'suitSpecialty',
                baseUrl: 'Data/Core/PaperInfo.aspx?cmd=GetSpecialty'
            });*/
                                
TeacherBox = Ext.extend(Ext.darkness.DynamicCombox,{
                        fieldLabel: '教师',
                        name: 'teacherId',
                        baseUrl: 'Data/Core/PaperInfo.aspx?cmd=GetTeacher',
                        constructor: function(config) {
                            TeacherBox.superclass.constructor.call(this,config);
                        }
                    });
                    

                    
ThemeTypeBox = Ext.extend(Ext.darkness.DynamicCombox,{
                        fieldLabel: '题 型',
                        name: 'themeType',
                        baseUrl: 'Data/Core/PaperInfo.aspx?cmd=GetThemeType',
                        constructor: function(config) {
                            ThemeTypeBox.superclass.constructor.call(this,config);
                        }
                    }); 
                    
ThemeCountBox = Ext.extend(Ext.darkness.DynamicCombox,{
                        fieldLabel: '题 量',
                        name: 'themeNumber',
                        mode: 'local',
                        store: new Ext.data.SimpleStore({
                            fields: ['value', 'text'],
                            data: [
                                ['5', '5'],
                                ['10', '10']
                            ]
                        }),
                        constructor: function(config) {
                            ThemeCountBox.superclass.constructor.call(this,config);
                        }
                    });
                    
CourseChapterFromBox = Ext.extend(Ext.darkness.DynamicCombox,{
                        fieldLabel: '章 节 从',
                        name: 'courseChapterFrom',
                        baseUrl: 'Data/Core/PaperInfo.aspx?cmd=GetCourseChapter',
                        constructor: function(config) {
                            CourseChapterFromBox.superclass.constructor.call(this,config);
                        }
                    });
                    
CourseChapterToBox = Ext.extend(Ext.darkness.DynamicCombox,{
                        fieldLabel: '到',
                        name: 'courseChapterTo',
                        baseUrl: 'Data/Core/PaperInfo.aspx?cmd=GetCourseChapter',
                        constructor: function(config) {
                            CourseChapterToBox.superclass.constructor.call(this,config);
                        }
                    });
                    
                    

DifficultFactorBox = Ext.extend(Ext.form.ComboBox,{
    
    store: new Ext.data.SimpleStore({
        fields: ['value', 'text'],
        data: [
            ['难', '难'],
            ['一般', '一般'],
            ['简单', '简单']
        ]
    }),
    fieldLabel: '难易系数',
    name: 'difficultFactor',
    triggerAction: 'all',
    valueField: 'value',
    displayField: 'text',
    readOnly: true,
    mode: 'local',
    emptyText:'一般',
    constructor: function(config) {
        DifficultFactorBox.superclass.constructor.call(this,config);
    }
});